
// 示例方法，没有实际意义
export function trim(str: string) {
  return str.trim();
}

//金额数字转换
export function formatMoneyNumber(num: number) {
  if (typeof num !== 'number' || isNaN(num)) {
    return num;
  }
  return new Intl.NumberFormat('en-US', {
    minimumFractionDigits: 2,
    maximumFractionDigits: 2,
  }).format(num);
}


export function formatToPercentage(num: number) {
  if (typeof num !== 'number' || isNaN(num)) {
    return num;
  }
  return new Intl.NumberFormat('en-US', {
    style: 'percent',
    minimumFractionDigits: 2,
    maximumFractionDigits: 2,
  }).format(num);
}

